﻿using System;
using HealthyFood.Data;

namespace HealthyFood.Business
{
	public class Ingredient
	{
		private readonly HealthyFoodContext _context;
		private readonly Data.Ingredient _ingredientData;

		internal Ingredient(HealthyFoodContext context, Data.Ingredient ingredientData)
		{
			_context = context;
			_ingredientData = ingredientData;
		}

		public int IngredientID
		{
			get { return _ingredientData.IngredientID; }
		}

		public string Name
		{
			get { return _ingredientData.Name; }
		}

		public void Update(string name)
		{
			SetProperties(name);
			_context.SubmitChanges();
		}

		internal void SetProperties(string name)
		{
			if (string.IsNullOrEmpty(name))
				throw new ArgumentException("Името на съставката не може да бъде празно.");

			_ingredientData.Name = name;
		}
	}
}
