﻿namespace HealthyFood.Business
{
	public class ProductIngredient
	{
		private readonly Data.ProductIngredient _productIngredientData;

		internal ProductIngredient(Data.ProductIngredient productIngredientData)
		{
			_productIngredientData = productIngredientData;
		}

		public int IngredientID
		{
			get { return _productIngredientData.IngredientID; }
		}

		public string Name
		{
			get { return _productIngredientData.Ingredient.Name; }
		}

		public decimal? Amount
		{
			get { return _productIngredientData.Amount; }
		}

		public string FullText
		{
			get
			{
				return (Amount == null
				        	? Name
				        	: string.Format("{0} ({1} г)", Name, Amount));
			}
		}
	}
}
