﻿using System.IO;
using System.Windows.Forms;

namespace WinFormsMDI
{
    public partial class FileSystemWatcherForm : Form
    {
        public FileSystemWatcherForm(string watchPath)
        {
            InitializeComponent();

            fswWatcher.Path = watchPath;
            fswWatcher.EnableRaisingEvents = true;
        }

        private void fswWatcher_Changed(object sender, FileSystemEventArgs e)
        {
            lbFileSystemEvents.Items.Add(string.Format("File or directory '{0}' was {1}.", e.FullPath, e.ChangeType));
        }

        private void fswWatcher_Renamed(object sender, RenamedEventArgs e)
        {
            lbFileSystemEvents.Items.Add(string.Format("File or directory '{0}' was {1} to '{2}'.", e.OldFullPath, e.ChangeType, e.FullPath));
        }
    }
}
