﻿using System;
using System.Windows.Forms;

namespace WinFormsMDI
{
    public partial class MdiParent : Form
    {
        public MdiParent()
        {
            InitializeComponent();
        }

        private void ShowNewForm()
        {
            var form = new MdiChild();
            form.MdiParent = this;
            form.Show();
        }

        private void OpenFile()
        {
            DialogResult dialogResult = ofdOpenXmlFile.ShowDialog();
            if (dialogResult != DialogResult.OK)
                return;

            string message = string.Format("You have selected '{0}'.", ofdOpenXmlFile.FileName);
            MessageBox.Show(message, "Result", MessageBoxButtons.OK, MessageBoxIcon.Information);

            var startInfo = new System.Diagnostics.ProcessStartInfo();
            startInfo.FileName = ofdOpenXmlFile.FileName;
            prcOpenXmlFile.StartInfo = startInfo;
            prcOpenXmlFile.Start();
        }

        private void WatchFolder()
        {
            DialogResult dialogResult = fbdWatchFolder.ShowDialog();
            if (dialogResult != DialogResult.OK)
                return;

            var watchForm = new FileSystemWatcherForm(fbdWatchFolder.SelectedPath);
            watchForm.MdiParent = this;
            watchForm.Show();
        }

        private void tsmiExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void tsmiNewForm_Click(object sender, EventArgs e)
        {
            ShowNewForm();
        }

        private void tsbNewForm_Click(object sender, EventArgs e)
        {
            ShowNewForm();
        }

        private void ctsmiNewForm_Click(object sender, EventArgs e)
        {
            ShowNewForm();
        }

        private void tsmiOpenXmlFile_Click(object sender, EventArgs e)
        {
            OpenFile();
        }

        private void tsbOpenXmlFile_Click(object sender, EventArgs e)
        {
            OpenFile();
        }

        private void ctsmiOpenXmlFile_Click(object sender, EventArgs e)
        {
            OpenFile();
        }

        private void tsmiWatchFolder_Click(object sender, EventArgs e)
        {
            WatchFolder();
        }

        private void tsbWatchFolder_Click(object sender, EventArgs e)
        {
            WatchFolder();
        }

        private void ctsmiWatchFolder_Click(object sender, EventArgs e)
        {
            WatchFolder();
        }

        private void tmrTime_Tick(object sender, EventArgs e)
        {
            tsslCurrentTime.Text = DateTime.Now.ToString();
        }

        private void MdiSample_Load(object sender, EventArgs e)
        {
            tmrTime.Enabled = true;
        }

        private void prcOpenXmlFile_Exited(object sender, EventArgs e)
        {
            MessageBox.Show("Process exited.", "Process exit", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
